local Widget = require "widgets/widget"
local Image = require "widgets/image"
local BEAVER_BAR = "images/beaverbar.xml"

local AoS_BeaverBadge = Class(Widget, function(self, owner)
	Widget._ctor(self, "AoS_BeaverBadge", owner)

	self.percent = 1
	self:SetScale(.41,.5,1)

	self.beaverbar_bg = self:AddChild(Image(BEAVER_BAR, "beaverbar_bg.tex"))
	self.beaverbar_bg:SetPosition(0,0,0)
	self.beaverbar_bg:SetScale(1,1,0)
	
	self.beaverbar = self:AddChild(Image(BEAVER_BAR, "beaverbar.tex"))
	self.beaverbar:SetPosition(-203,0,0)
	self.beaverbar:SetHRegPoint(_G.ANCHOR_LEFT)
	self.beaverbar:SetTint(230/255, 130/255, 50/255, 1)
	
	self.beaverbar_frame = self:AddChild(Image(BEAVER_BAR, "beaverbar_frame.tex"))
	self.beaverbar_frame:SetPosition(0,0,0)
	self.beaverbar_frame:SetScale(1,1,0)

end)

function AoS_BeaverBadge:SetBeaverPercent(val)
	val = val or self.percent

	self.beaverbar:SetScale(val,1,0)
	self.percent = val
end

return AoS_BeaverBadge