local Text = require "widgets/text"
local Widget = require "widgets/widget"


local modenv = require "aos.modenv"
local temp_c = modenv.GetModConfigData("Temperature_Unit")=="default"
local temp_f = modenv.GetModConfigData("Temperature_Unit")=="fahrenheit"

local AoS_NTBadge = Class(Widget, function(self, owner)
	Widget._ctor(self, "AoS_NTBadge")

	self.percent = 1
	self:SetScale(.8,.8,1)

	self.bg = self:AddChild(Image("images/status_bg.xml", "status_bg.tex"))
	self.bg:SetScale(.5,.43,0)
	self.bg:SetPosition(-.5,-25,0)

	self.num = self:AddChild(Text(NUMBERFONT, 28))
	self.num:SetHAlign(ANCHOR_MIDDLE)
	self.num:SetPosition(3.5, -40, 0)
	self.num:SetScale(1,.78,1)

end)

function AoS_NTBadge:SetNaughty(val, max)
	self.num:SetString(tostring(val).."/"..tostring(max))
end

function AoS_NTBadge:SetTemperature(val)
	local temp_unit = temp_f and "\176F" or "\176C"
	val = temp_f and (1.8*val + 32) or val

	if IsDLCEnabled(REIGN_OF_GIANTS) or IsDLCEnabled(CAPY_DLC) then
		val = val/2
	end

	self.num:SetString(tostring(math.ceil(val))..temp_unit)
end

return AoS_NTBadge